<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\{RFPeriodo};

class RFPeriodoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $periodos = RFPeriodo::all();
        return view('pagos.periodo.ficha', compact('periodos'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->all();
        RFPeriodo::where('id','>=',6)->update(['ficha'=>0, 'vaucher'=>0]);
        $act = RFPeriodo::orderBy('id', 'desc')->first();
        $act->vaucher=1;
        $act->save();

        RFPeriodo::create(['nombre'=>$data['nombre'],'vaucher'=>0,'consecutivo_vaucher'=>1,'ficha'=>1]);
        return response()->json(['estado'=>'exito', 'mensaje'=>'El periodo se activo de forma correcta.']);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
